| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
ExtArgTable Class Reference
Inheritance diagram for ExtArgTable:

## Public Slots
virtual void | setDefaultValue ()
Public Slots inherited from ExtArgMultiSelect
virtual void | setDefaultValue ()
Public Slots inherited from ExtcapArgument
virtual void | setDefaultValue ()
void | onBoolChanged (bool)
void | onIntChanged (int)
void | onStringChanged (QString)

## Public Member Functions
| ExtArgTable (extcap_arg *argument, QObject *parent=Q_NULLPTR)
virtual QString | value ()
Public Member Functions inherited from ExtArgMultiSelect
| ExtArgMultiSelect (extcap_arg *argument, QObject *parent=Q_NULLPTR)
virtual bool | isValid ()
virtual QString | defaultValue ()
virtual bool | isSetDefaultValueSupported ()
Public Member Functions inherited from ExtcapArgument
| ExtcapArgument (QObject *parent=Q_NULLPTR)
| ExtcapArgument (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| ExtcapArgument (const ExtcapArgument &obj)
virtual QWidget * | createLabel (QWidget *parent=0)
virtual extcap_arg * | argument ()
virtual QString | call ()
bool | isDefault ()
bool | isRequired ()
bool | isSufficient ()
bool | reload ()
QString | prefKey (const QString &device_name, const QString &option_name, const QString &option_value)
virtual QString | prefValue ()
void | resetValue ()
virtual QString | group () const
virtual int | argNr () const

## Protected Member Functions
virtual QWidget * | createEditor (QWidget *parent)
void | addKnown ()
void | addCustom ()
void | removeSelected ()
void | addChecked (QStringList checked, QStringList options)
virtual void | showExtcapOptionsDialogForOptionValue (QStandardItem *item, QString &option_value)
virtual void | extcap_options_finished (QStandardItem *item)
Protected Member Functions inherited from ExtArgMultiSelect
virtual QList< QStandardItem * > | valueWalker (ExtcapValueList list, QStringList &defaults)
void | checkItemsWalker (QStandardItem *item, QStringList defaults)
virtual QStringList | checkedValues ()
Protected Member Functions inherited from ExtcapArgument
bool | fileExists ()
ExtcapValueList | loadValues (QString parent)
bool | reloadValues ()

## Additional Inherited Members
Signals inherited from ExtcapArgument
void | valueChanged ()
Static Public Member Functions inherited from ExtcapArgument
static ExtcapArgument * | create (extcap_arg *argument=Q_NULLPTR, QObject *parent=Q_NULLPTR)
Protected Attributes inherited from ExtArgMultiSelect
QStandardItemModel * | viewModel
QMap< QString, QString > | displayNames
Protected Attributes inherited from ExtcapArgument
ExtcapValueList | values
extcap_arg * | _argument
QLabel * | _label
int | _number
const QString | label_style

## Member Function Documentation

## ◆ createEditor()

QWidget * ExtArgTable::createEditor | ( | QWidget * | parent | ) |
| protectedvirtual

Reimplemented from ExtArgMultiSelect.

## ◆ value()

QString ExtArgTable::value | ( |  | ) |
| virtual

Reimplemented from ExtArgMultiSelect.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_argument_multiselect.h
- /builds/wireshark/wireshark/ui/qt/extcap_argument_multiselect.cpp